<?php

require ("dbconfig.php");


// Ukol: konektivitu s databazi zajistete pomoci PDO nebo vhodnym zpusobem naprogramujte tak, aby se neopakovaly stejne prikazy ve vsech metodach

class UserFactory {



  public static function getDetailsForUser($uziv_jmeno) {

    
    //$link = mysqli_connect(DB_HOST, DB_USER, DB_PASSWD);
    $link = mysqli_connect(NULL, DB_USER, DB_PASSWD, NULL, NULL, '/webdev/mysql/mysqld.sock');


    if (!$link) {
      echo "Nepodailo se spojit s DB.<br>";
      echo mysqli_connect_error();
      exit();
    }

    $success = mysqli_select_db($link, DB_NAME);
    if (!$success) {
      echo "Nepodailo se pepnout na sprvnou databzi";
      exit();
    }

    $sql = "SELECT heslo, pokusu FROM `uzivatele` WHERE uzivatelske_jmeno='$uziv_jmeno'";

    $result = mysqli_query($link, $sql);

    $temp_pole=array();

    if ($result) {
      $row = mysqli_fetch_assoc($result);
      $temp_pole['heslo']=$row['heslo'];
      $temp_pole['pokusu']=$row['pokusu'];
    }

    mysqli_free_result($result);

    mysqli_close($link);

    return $temp_pole;

  }





  public static function setFailedAttempts($uziv_jmeno, $pokusu) {

    //$link = mysqli_connect(DB_HOST, DB_USER, DB_PASSWD);
    $link = mysqli_connect(NULL, DB_USER, DB_PASSWD, NULL, NULL, '/webdev/mysql/mysqld.sock');


    if (!$link) {
      echo "Nepodailo se spojit s DB.<br>";
      echo mysqli_connect_error();
      exit();
    }

    $success = mysqli_select_db($link, DB_NAME);
    if (!$success) {
      echo "Nepodailo se pepnout na sprvnou databzi";
      exit();
    }

    $sql = "UPDATE `uzivatele` SET pokusu=$pokusu WHERE uzivatelske_jmeno='$uziv_jmeno'";

    //echo $sql;

    $result = mysqli_query($link, $sql);

    //mysqli_free_result($result);

    mysqli_close($link);

  }




  public static function resetUsers() {
    //$link = mysqli_connect(DB_HOST, DB_USER, DB_PASSWD);
    $link = mysqli_connect(NULL, DB_USER, DB_PASSWD, NULL, NULL, '/webdev/mysql/mysqld.sock');


    if (!$link) {
      echo "Nepodailo se spojit s DB.<br>";
      echo mysqli_connect_error();
      exit();
    }

    $success = mysqli_select_db($link, DB_NAME);
    if (!$success) {
      echo "Nepodailo se pepnout na sprvnou databzi";
      exit();
    }

    $sql = "UPDATE `uzivatele` SET pokusu=0";

    $result = mysqli_query($link, $sql);

    //mysqli_free_result($result);

    mysqli_close($link);
  }



}

?>
